BSON_READER_SET_DESTROY_FUNC(3)

NAME
bson_reader_set_destroy_func - bson_reader_set_destroy_func()

SYNOPSIS

void
bson_reader_set_destroy_func (bson_reader_t *reader,
                              bson_reader_destroy_func_t func);

PARAMETERS

•   reader: A bson_reader_t.

•   func: A bson_reader_destroy_func_t.

DESCRIPTION

Allows for setting a callback to be executed when a reader is destroyed. This should only be used by implementations implementing their own read callbacks.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc